package com.smppw.modaq.application.components.report.parser.ai;

import com.smppw.modaq.application.components.report.parser.ReportParserConstant;
import com.smppw.modaq.common.exception.ReportParseException;
import com.smppw.modaq.domain.dto.report.AnnuallyReportData;
import com.smppw.modaq.domain.dto.report.ReportBaseInfoDTO;
import com.smppw.modaq.domain.dto.report.ReportFundInfoDTO;
import com.smppw.modaq.domain.dto.report.ReportParserParams;
import com.smppw.modaq.domain.mapper.EmailFieldMappingMapper;
import org.springframework.stereotype.Component;

@Component(ReportParserConstant.PARSER_AI_ANNUALLY)
public class AIAnnuallyReportParser extends AbstractAIReportParser<AnnuallyReportData> {
    public AIAnnuallyReportParser(EmailFieldMappingMapper fieldMappingMapper) {
        super(fieldMappingMapper);
    }

    @Override
    protected boolean isSupportAIParse() {
        return false;
    }

    @Override
    protected String prompt() {
        return "";
    }

    @Override
    protected void handleAiResult(String result) throws ReportParseException {

    }

    @Override
    protected AnnuallyReportData parseExtInfoAndSetData(ReportBaseInfoDTO reportInfo,
                                                        ReportFundInfoDTO fundInfo) throws ReportParseException {
        return null;
    }

    @Override
    protected ReportFundInfoDTO buildFundInfo(ReportParserParams params) {
        return null;
    }
}
