package com.smppw.modaq.application.components.report.writer;

import com.smppw.modaq.domain.dto.report.AnnuallyReportData;
import com.smppw.modaq.domain.mapper.report.*;
import org.springframework.stereotype.Component;

@Component(ReportWriterConstant.WRITER_ANNUALLY)
public class AnnuallyReportWriter extends QuarterlyReportWriter<AnnuallyReportData> {
    public AnnuallyReportWriter(ReportBaseInfoMapper baseInfoMapper, ReportFundInfoMapper fundInfoMapper,
                                ReportShareChangeMapper shareChangeMapper, ReportAssetAllocationMapper assetAllocationMapper,
                                ReportInvestmentIndustryMapper investmentIndustryMapper, ReportFinancialIndicatorMapper financialIndicatorMapper) {
        super(baseInfoMapper, fundInfoMapper, shareChangeMapper, assetAllocationMapper, investmentIndustryMapper, financialIndicatorMapper);
    }
}
