package com.smppw.modaq.application.components.report.writer;


import com.smppw.modaq.domain.dto.report.ReportData;

/**
 * @author wangzaijun
 * @date 2024/9/29 14:06
 * @description 报告存储保存的服务业务（可以扩展支持保存到本地缓存或文件）
 */
public interface ReportWriter<T extends ReportData> {
    void write(T reportData);
}
