package com.smppw.modaq.domain.dto.report;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/10/10 14:08
 * @description 报告解析结果
 */
@Setter
@Getter
public class ParseResult<T extends ReportData> {
    private Integer status;

    private String msg;

    private T data;

    @Override
    public String toString() {
        return "{" +
                "status=" + status +
                ", msg='" + msg + '\'' +
                ", data=" + data +
                '}';
    }
}
