package com.smppw.modaq.domain.entity.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:43
 * @description 基金资产组合情况
 */
@Setter
@Getter
@TableName("mo_report_asset_allocation")
public class ReportAssetAllocationDO extends BaseReportDO {
    /**
     * 资产大类
     */
    private String assetType;
    /**
     * 资产明细
     */
    private String columnName;
    /**
     * 市值
     */
    private BigDecimal marketValue;
    /**
     * 备注
     */
    private String remark;
}
