package com.smppw.modaq.domain.entity.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Setter
@Getter
@TableName("mo_report_financial_indicators")
public class ReportFinancialIndicatorsDO extends BaseReportDO {
    private String level;
    /**
     * 年度
     */
    private Integer endDate;
    private BigDecimal fundAssetSize;
    private BigDecimal nav;
    private BigDecimal profit;
    private BigDecimal realizedIncome;
    /**
     * 期末可供分配利润
     */
    private BigDecimal undistributedProfit;
}
