package com.smppw.modaq.domain.entity.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@TableName("mo_report_investor_info")
public class ReportInvestorInfoDO extends BaseReportDO {
    /**
     * 投资人的姓名
     */
    private String investorName;

    /**
     * 投资人的类别（例如：个人、机构）
     */
    private String investorType;

    /**
     * 证件类型（例如：身份证、护照）
     */
    private String certificateType;

    /**
     * 投资人证件号码
     */
    private String certificateNumber;

    /**
     * 基金账户编号
     */
    private String fundAccount;

    /**
     * 投资者交易账号
     */
    private String tradingAccount;
}
