package com.smppw.modaq.domain.entity.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:53
 * @description 基协报告净值月报
 */
@Setter
@Getter
@TableName("mo_report_net_report")
public class ReportNetReportDO extends BaseReportDO {
    private String level;
    private Date valuationDate;

    /**
     * 累计净值
     */
    private BigDecimal cumulativeNav;
    /**
     * 基金份额总额
     */
    private BigDecimal endTotalShares;
    /**
     * 基金资产净值
     */
    private BigDecimal fundAssetSize;
    /**
     * 单位净值
     */
    private BigDecimal nav;
}
