package com.smppw.modaq.domain.mapper;

import com.smppw.modaq.domain.entity.EmailFieldMappingDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface EmailFieldMappingMapper {

    /**
     * 获取净值文件字段识别映射配置
     *
     * @param types 0-公共的字段，1-净值和估值表解析的字段，3-定期报告解析的字段，4-交易流水确认函
     * @return 净值文件字段识别映射配置
     */
    List<EmailFieldMappingDO> getEmailFieldMapping(List<Integer> types);

}
