package com.smppw.modaq.application.components.report.writer;

import com.smppw.modaq.domain.dto.report.ReportData;
import com.smppw.modaq.domain.mapper.report.ReportBaseInfoMapper;
import com.smppw.modaq.domain.mapper.report.ReportFundInfoMapper;
import org.springframework.stereotype.Component;

@Component(ReportWriterConstant.WRITER_OTHER)
public class OtherReportWriter extends AbstractReportWriter<ReportData> {
    public OtherReportWriter(ReportBaseInfoMapper baseInfoMapper, ReportFundInfoMapper fundInfoMapper) {
        super(baseInfoMapper, fundInfoMapper);
    }

    @Override
    protected void writeExtData(ReportData reportData) {
        // 没有数据要保存
    }
}
