package com.smppw.modaq.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("mo_email_file_info")
public class EmailFileInfoDO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 邮件id(email_parse_info.id)
     */
    private Integer emailId;
    /**
     * 基金id
     */
    private Integer fundId;
    /**
     * 附件名称
     */
    private String fileName;
    /**
     * 附件路径
     */
    private String filePath;
    /**
     * 是否ai解析
     */
    private Boolean aiParse;
    /**
     * ai解析时上传的文件的id（方便重复使用）
     */
    private String aiFileId;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updateTime;
}